Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create deal

POST/workspaces/{organizationId}/deals
Path parameters
organizationIdstringrequired
Request body
application/json
customerIdstringrequired
namestringrequired
min length 1
stagestring
default: "lead"
Allowed:leadqualifiedproposalnegotiationwonlost
amountCentsinteger | null
min 0
currencystring | null
min length 3 · max length 3
expectedCloseAtstring | null
descriptionstring | null
contactIdsstring[]
Responses
201

Created deal

dealobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
customerIdstringrequired
namestringrequired
stagestringrequired
Allowed:leadqualifiedproposalnegotiationwonlost
amountCentsnumber | nullrequired
currencystring | nullrequired
expectedCloseAtstring | nullrequired
descriptionstring | nullrequired
closedAtstring | nullrequired
archivedAtstring | nullrequired
contactIdsstring[]required
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST '/workspaces/string/deals' \
  -H 'Content-Type: application/json' \
  -d '{
  "customerId": "string",
  "name": "string",
  "stage": "lead",
  "amountCents": 0,
  "currency": "str",
  "expectedCloseAt": "string",
  "description": "string",
  "contactIds": [
    "string"
  ]
}'
Response
{
  "deal": {
    "id": "string",
    "organizationId": "string",
    "customerId": "string",
    "name": "string",
    "stage": "lead",
    "amountCents": 0,
    "currency": "string",
    "expectedCloseAt": "string",
    "description": "string",
    "closedAt": "string",
    "archivedAt": "string",
    "contactIds": [
      "string"
    ],
    "createdAt": "string",
    "updatedAt": "string"
  }
}